Index: mist_5200_old_sd_interface/pll_pal_post.cmp
===================================================================
--- mist_5200_old_sd_interface/pll_pal_post.cmp	(nonexistent)
+++ mist_5200_old_sd_interface/pll_pal_post.cmp	(revision 232)
@@ -0,0 +1,27 @@
+--Copyright (C) 1991-2013 Altera Corporation
+--Your use of Altera Corporation's design tools, logic functions 
+--and other software and tools, and its AMPP partner logic 
+--functions, and any output files from any of the foregoing 
+--(including device programming or simulation files), and any 
+--associated documentation or information are expressly subject 
+--to the terms and conditions of the Altera Program License 
+--Subscription Agreement, Altera MegaCore Function License 
+--Agreement, or other applicable license agreement, including, 
+--without limitation, that your use is for the sole purpose of 
+--programming logic devices manufactured by Altera and sold by 
+--Altera or its authorized distributors.  Please refer to the 
+--applicable agreement for further details.
+
+
+component pll_pal_post
+	PORT
+	(
+		areset		: IN STD_LOGIC  := '0';
+		inclk0		: IN STD_LOGIC  := '0';
+		c0		: OUT STD_LOGIC ;
+		c1		: OUT STD_LOGIC ;
+		c2		: OUT STD_LOGIC ;
+		c3		: OUT STD_LOGIC ;
+		locked		: OUT STD_LOGIC 
+	);
+end component;
Index: mist_5200_old_sd_interface/pll_pal_post.qip
===================================================================
--- mist_5200_old_sd_interface/pll_pal_post.qip	(nonexistent)
+++ mist_5200_old_sd_interface/pll_pal_post.qip	(revision 232)
@@ -0,0 +1,5 @@
+set_global_assignment -name IP_TOOL_NAME "ALTPLL"
+set_global_assignment -name IP_TOOL_VERSION "13.0"
+set_global_assignment -name VHDL_FILE [file join $::quartus(qip_path) "pll_pal_post.vhd"]
+set_global_assignment -name MISC_FILE [file join $::quartus(qip_path) "pll_pal_post.cmp"]
+set_global_assignment -name MISC_FILE [file join $::quartus(qip_path) "pll_pal_post.ppf"]
Index: mist_5200_old_sd_interface/pll_pal_pre.ppf
===================================================================
--- mist_5200_old_sd_interface/pll_pal_pre.ppf	(nonexistent)
+++ mist_5200_old_sd_interface/pll_pal_pre.ppf	(revision 232)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!DOCTYPE pinplan>
+<pinplan intended_family="Cyclone III" variation_name="pll_pal_pre" megafunction_name="ALTPLL" specifies="all_ports">
+<global>
+<pin name="inclk0" direction="input" scope="external" source="clock"  />
+<pin name="c0" direction="output" scope="external" source="clock"  />
+<pin name="locked" direction="output" scope="external"  />
+
+</global>
+</pinplan>
Index: mist_5200/zpu_rom.vhdl
===================================================================
--- mist_5200/zpu_rom.vhdl	(revision 231)
+++ mist_5200/zpu_rom.vhdl	(revision 232)
@@ -180,8 +180,8 @@
 X"00000000",
 X"00000000",
 X"71fc0608",
-X"0b0b80dd",
-X"d8738306",
+X"0b0b80e5",
+X"d0738306",
 X"10100508",
 X"060b0b0b",
 X"88a20400",
@@ -227,8 +227,8 @@
 X"00000000",
 X"00000000",
 X"00000000",
-X"810b80e0",
-X"f80c5104",
+X"810b80e8",
+X"f00c5104",
 X"00000000",
 X"00000000",
 X"00000000",
@@ -300,8 +300,8 @@
 X"83e08008",
 X"83e08408",
 X"83e08808",
-X"757580d8",
-X"872d5050",
+X"757580df",
+X"fe2d5050",
 X"83e08008",
 X"5683e088",
 X"0c83e084",
@@ -310,7 +310,7 @@
 X"e0800883",
 X"e0840883",
 X"e0880875",
-X"7580d69b",
+X"7580de92",
 X"2d505083",
 X"e0800856",
 X"83e0880c",
@@ -319,19 +319,19 @@
 X"51040000",
 X"800489aa",
 X"0489aa0b",
-X"80cfd504",
+X"80d9d404",
 X"f43d0d7e",
 X"8f3dec11",
 X"56565890",
 X"53f01552",
-X"775193ae",
+X"775193b0",
 X"3f83e080",
 X"0880d638",
 X"78902e09",
 X"810680cd",
 X"3802ab05",
-X"3380e180",
-X"0b80e180",
+X"3380e8f8",
+X"0b80e8f8",
 X"33575856",
 X"8c397476",
 X"2e8a3884",
@@ -345,7 +345,7 @@
 X"56705556",
 X"5696800a",
 X"52775192",
-X"dd3f83e0",
+X"df3f83e0",
 X"80088638",
 X"78752e85",
 X"38805685",
@@ -354,7 +354,7 @@
 X"800c8e3d",
 X"0d04fc3d",
 X"0d767052",
-X"55b3903f",
+X"55b3923f",
 X"83e08008",
 X"15ff0554",
 X"73752e8e",
@@ -363,7 +363,7 @@
 X"38ff1454",
 X"ef397752",
 X"811451b2",
-X"a83f83e0",
+X"aa3f83e0",
 X"80083070",
 X"83e08008",
 X"07802583",
@@ -371,23 +371,23 @@
 X"863d0d04",
 X"fc3d0d76",
 X"70525599",
-X"c93f83e0",
+X"cb3f83e0",
 X"80085481",
 X"5383e080",
 X"0880c738",
-X"7451998c",
+X"7451998e",
 X"3f83e080",
 X"080b0b80",
-X"dfb85383",
+X"e7b05383",
 X"e0800852",
 X"53ff8f3f",
 X"83e08008",
 X"a5380b0b",
-X"80dfbc52",
+X"80e7b452",
 X"7251fefe",
 X"3f83e080",
 X"0894380b",
-X"0b80dfc0",
+X"0b80e7b8",
 X"527251fe",
 X"ed3f83e0",
 X"8008802e",
@@ -396,11 +396,11 @@
 X"e0800c86",
 X"3d0d04fd",
 X"3d0d7570",
-X"525498e2",
+X"525498e4",
 X"3f815383",
 X"e0800898",
 X"38735198",
-X"ab3f83e0",
+X"ad3f83e0",
 X"a0085283",
 X"e0800851",
 X"feb43f83",
@@ -409,22 +409,22 @@
 X"0c853d0d",
 X"04e03d0d",
 X"a33d0870",
-X"525e8ed1",
+X"525e8ed3",
 X"3f83e080",
 X"0833943d",
 X"56547394",
-X"3880e288",
+X"3880ea80",
 X"52745184",
-X"c6397d52",
-X"785191d4",
-X"3f84d039",
-X"7d518eb9",
+X"c7397d52",
+X"785191d6",
+X"3f84d139",
+X"7d518ebb",
 X"3f83e080",
 X"08527451",
-X"8de93f83",
+X"8deb3f83",
 X"e0a80852",
 X"933d7052",
-X"5d94c43f",
+X"5d94c63f",
 X"83e08008",
 X"59800b83",
 X"e0800855",
@@ -431,7 +431,7 @@
 X"5b83e080",
 X"087b2e94",
 X"38811b74",
-X"525b97c5",
+X"525b97c7",
 X"3f83e080",
 X"085483e0",
 X"8008ee38",
